--- pgAgent-NG/job.h	2013-09-10 17:00:10.002869174 +0200
+++ pgagent/include/job.h	2013-09-11 12:02:08.412191487 +0200
@@ -13,60 +13,44 @@
 #ifndef JOB_H
 #define JOB_H
 
-//#include <wx/wx.h>
-#include <atomic>
-#include <thread>
+#include <wx/wx.h>
+
 
 class Job
 {
 public:
-    Job(DBconn *conn, const std::string &jid);
+	Job(DBconn *conn, const wxString &jid);
 	~Job();
 
 	int Execute();
 	bool Runnable()
 	{
-        return status == std::string("r");
+		return status == wxT("r");
 	}
 
 protected:
 	DBconn *threadConn;
-    std::string jobid, logid;
-    std::string status;
+	wxString jobid, logid;
+	wxString status;
 };
 
 
-class JobThread
+class JobThread : public wxThread
 {
 public:
-    JobThread(const std::string &jid, connInfo* serviceConnInfo);
-
+	JobThread(const wxString &jid);
+	~JobThread();
 	bool Runnable()
 	{
 		return runnable;
-    }
-
-    bool finished();
-    //virtual void *Entry();
-
-    ~JobThread();
+	}
 
-    JobThread(JobThread const&) = delete;
-    JobThread& operator =(JobThread const&) = delete;
-    void start();
-    void stop();
-     void run();
-protected:
-    DBconn *thConn;
-    std::atomic<bool> m_stop;
+	virtual void *Entry();
 
 private:
-    std::thread m_thread;
-
-    std::string jobid;
+	wxString jobid;
 	bool runnable;
 	Job *job;
-
 };
 
 #endif // JOB_H
